
// Vanilla Substitute 2.
// Outcome == Arrest
// Model == Replication
// Subsetting == Exclude Gang Stops

set rmsg on

log using VanillaSubstitute2.log, replace
set memory 1g
set matsize 200, permanently
use "LAPDstata.dta", clear

destring AREA, replace
destring RD_NBR, replace

drop if OFFICER_TYPE == "gang"

drop if RD_NBR == 1494

drop if AREA == .

replace RACE = "other" if RACE == "amerindian"
replace RACE = "other" if RACE == "asian"

sort SERIAL_NUMBER
gen serialid = [_n]

by SERIAL_NUMBER: replace serialid = serialid[_n-1] if _n>1

char AREA[omit] "07"
char RACE[omit] "white"
char OFFICER_RACE[omit] "off_white"
char STOP_REASON[omit] "moving"
char OFFICER_TYPE[omit] "patrol"
char AGE_RNG[omit] "26-35"

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG

logit ARST_DUM /*
*/	_IRACE* _IAREA* _IRACXARE*     	/*	1.	Race/Area Interactions and Main Effects -
*/	_IOFFICER_R* _IRACXOFF*      	/*	2.	Race/Cop Race Interactions and Main Effects.-
*/	_ISTOP_REAS* 		/*	3.	Stop Reason dummy -
*/	WEEKEND_DUM		/*	4.	Weekend dummy -
*/	NIGHT_DUM		/*	5.	Night dummy -
*/	GROUP			/*	6.	Group size number -
*/	INCIVIL			/*	7.	Count of Incivility stops in RD -
*/	VIOLENT			/*	7a. 	Count of Violent Crime stops in RD
*/	PERCENT_24UNDER		/*	8.	Percent under 24 yrs old in RD -
*/	PERCENT_HISPANIC	/*	9.	Percent Hispanic in RD -
*/	PERCENT_DIVORCED	/*	10.	Percent Divorced in RD -
*/	PERCENT_UNEMPLOYED	/*	11.	Percent Unemployed in RD-
*/	DENSITY			/*	12.	Population Density -
*/	PROPERTY_RATE		/*	13.	Rate of Property Crime in RD-
*/	VIOLENT_RATE		/*	14.	Rate of Violent Crime in RD-
*/	ACCOUNTS		/*	15.	Count of Accounts-
*/	RETAIL_ACCOUNTS		/*	16.	Count of Retail Accounts-
*/	GANG_STOPS		/*	17.	Count of Gang Stops-
*/	COMPLAINTS		/*	18.	Complaints against Officer-
*/	MJ_COMMEND		/*	19.	Major Commendations-
*/	OFFICER_AGE		/*	20.	Officer Age-
*/	SERVICE_MONTHS		/*	21.	Months of Service-
*/	SERVICE_MONTHS_SQ	/*	22.	Months of Service squared-
*/	OFFICER_MALE_DUM	/*	23.	Officer Gender-
*/	_IOFFICER_T*	/*	24.	Officer Type dummies-
*/	_IAGE_RNG*   		/*	25.	Suspect Age Range dummies-
*/	PEDESTRIAN_DUM		/*	26.	Pedestrian Dummy-
*/	PASSENGER_DUM		/*	27.	Passenger Dummy-
*/	MALE_DUM		/*	28.	Gender Dummy-
 */ ,  vce(robust)
 
 estimates save VanillaSubstitute2
 save VanillaSubstitute2.dta
 log close