

// Vanilla Substitute 24.
// Outcome == Arrest / Citation

// Model == Kitchen Sink
// Subsetting == Exclude Gang Stops

set rmsg on

log using VanillaSubstitute66.log, replace

set memory 1g
set matsize 200, permanently
use "LAPDstata.dta", clear
destring AREA, replace
destring RD_NBR, replace

drop if OFFICER_TYPE =="gang"

drop if RD_NBR == 1494

drop if AREA == .

replace RACE = "other" if RACE == "amerindian"
replace RACE = "other" if RACE == "asian"

sort SERIAL_NUMBER
gen serialid = [_n]

by SERIAL_NUMBER: replace serialid = serialid[_n-1] if _n>1

char AREA[omit] "07"
char RACE[omit] "white"
char OFFICER_RACE[omit] "off_white"
char STOP_REASON[omit] "moving"
char OFFICER_TYPE[omit] "patrol"
char AGE_RNG[omit] "26-35"

xi i.RACE*i.AREA i.RACE*i.OFFICER_RACE i.STOP_REASON i.OFFICER_TYPE i.AGE_RNG

drop if DUI_DUM ==1
drop if VIOLENT_DUM ==1
drop if WARRANT_DUM ==1
logit ARST_DUM /*
*/ _IRACE* _IAREA* _IRACXARE*	 	/*	
*/ _ISTOP_REAS* 			/*
*/ _IAGE_RNG* 	/*
*/ WEEKEND_DUM /*
*/ NIGHT_DUM /*
*/ INCIVIL /*
*/ VIOLENT /*
*/ PERCENT_HISPANIC /*
*/ PERCENT_BLACK /*
*/ PERCENT_24UNDER /*
*/ PERCENT_OWNER /*
*/ PERCENT_SINGLEPARENT /*
*/ PERCENT_DIVORCED /*
*/ PERCENT_UNEMPLOYED /*
*/ PERCENT_POVERTY /*
*/ VIOLENT_RATE /*
*/ PROPERTY_RATE /*
*/ ACCOUNTS /*
*/ RETAIL_ACCOUNTS  /*
*/ GANG_STOPS /*
*/ PEDESTRIAN_DUM /*
*/ PASSENGER_DUM /*
*/ MALE_DUM /*
*/ GROUP /*
*/ DENSITY  /* 
 */ ,  vce(robust)
 
outreg using VanillaSubstitute66, replace
 log close